iconv_set_encoding
iconv_strpos
iconv Functions
PHP Manual

# iconv_strlen

Returns the character count of string

### Description

int iconv_strlen ( string `$str` [, string `$charset` = ini_get("iconv.internal_encoding") ] )

In contrast to strlen, iconv_strlen counts the occurrences of characters in the given byte sequence `str` on the basis of the specified character set, the result of which is not necessarily identical to the length of the string in byte.

### Parameters

`str`

  The string.

`charset`

  If `charset` parameter is omitted, `str` is assumed to be encoded in iconv.internal_encoding.

### Return Values

Returns the character count of `str`, as an integer.

### See Also

- strlen
- mb_strlen